SubaccountService
Update Subaccount
Partially update subaccount metadata using If-Match revision control.
Method
PATCH
Path
/v1/auth/subaccounts/{subaccount_id}
Visibility
Authentication
Session token
PATCH
/v1/auth/subaccounts/{subaccount_id} Request
Testnet
curl --request PATCH \ \ --url 'https://api.testnet.polyester.com/v1/auth/subaccounts/' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
Send a request to see the response.
subaccount_id string
Body is empty. Use {} for an empty object. — fix below to use the form.
code string
TODO: description pending
Example
INVALID_ARGUMENT detail string
TODO: description pending
Example
Invalid argument. status integer
TODO: description pending
Example
400 title string
TODO: description pending
Example
Invalid Argument type string
TODO: description pending
Example
https://polyester.dev/problems/invalid-argument| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |